[at-spi2-core: 24/30] ci/pull-container-image.sh: Utility script to pull the CI image by hand
- From: Federico Mena Quintero <federico src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [at-spi2-core: 24/30] ci/pull-container-image.sh: Utility script to pull the CI image by hand
- Date: Mon, 4 Jul 2022 19:25:18 +0000 (UTC)
commit 7b9862749ed8db763bf5e12c846612eb30b2cd45
Author: Federico Mena Quintero <federico gnome org>
Date: Mon Jul 4 12:56:20 2022 -0500
ci/pull-container-image.sh: Utility script to pull the CI image by hand
This is useful for local development
ci/pull-container-image.sh | 30 ++++++++++++++++++++++++++++++
1 file changed, 30 insertions(+)
---
diff --git a/ci/pull-container-image.sh b/ci/pull-container-image.sh
new file mode 100644
index 00000000..c5e1205b
--- /dev/null
+++ b/ci/pull-container-image.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+#
+# Utility script so you can pull the container image from CI for local development.
+# Run this script and follow the instructions; the script will tell you how
+# to run "podman run" to launch a container that has the same environment as the
+# one used during CI pipelines. You can debug things at leisure there.
+
+set -eu
+set -o pipefail
+
+CONTAINER_BUILDS=ci/container_builds.yml
+
+if [ ! -f $CONTAINER_BUILDS ]
+then
+ echo "Please run this from the toplevel source directory in at-spi2-core"
+ exit 1
+fi
+
+tag=$(grep -e '^ BASE_TAG:' $CONTAINER_BUILDS | head -n 1 | sed -E 's/.*BASE_TAG: "(.+)"/\1/')
+full_tag=x86_64-$tag
+echo full_tag=\"$full_tag\"
+
+image_name=registry.gitlab.gnome.org/gnome/at-spi2-core/opensuse/tumbleweed:$full_tag
+
+echo pulling image $image_name
+podman pull $image_name
+
+echo ""
+echo "You can now run this:"
+echo " podman run --rm -ti --cap-add=SYS_PTRACE -v \$(pwd):/srv/project -w /srv/project $image_name"
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]